<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	template="/templates/model.xhtml">

	<ui:define name="conteudo">
	
	
	<h:form id="form">
    <p:growl id="growl" showDetail="true" skipDetailIfEqualsSummary="true" />
    
    <div style=" padding-bottom:10px">
            <p:inputText style="margin:1px 10px 1px 1px;width: 500px;" placeholder="Pesquisar" value = "#{googleBookView.nome}" />
            <p:commandButton icon="ui-icon-search" update="form"  value="Buscar" title="Pesquisar" action="#{googleBookView.pesquisar}" />
      </div> 
 
    <p:dataTable id="Livros" var="livro" value="#{googleBookView.books}" editable="true" style="margin-bottom:20px" scrollable="true" scrollHeight="700">
        <f:facet name="header">
            <h3>Google Books</h3>
        </f:facet>
 
        <p:column headerText="Capa" style="width: 140px">
        	<p:graphicImage value="#{livro.foto}"/> 
        </p:column>
 
        <p:column id="titulo" headerText="Título" style="width: 500px">
            <h:outputText value="#{livro.titulo}" />
        </p:column>
 
        <p:column headerText="Descrição" >
           <h:outputText value="#{livro.descricao}" />
        </p:column>
 
        <p:column style="width:35px">
		    <p:commandButton icon="ui-icon-heart" update="form"  title="Favoritar" action="#{googleBookView.atualizar}" >
				<f:setPropertyActionListener value="#{livro}" target="#{googleBookView.selectedBook}" />
			</p:commandButton>
		</p:column>
    </p:dataTable>
  
    
    
    </h:form>


	</ui:define>
	
		
</ui:composition>